<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE log4j:configuration SYSTEM "log4j.dtd">
<log4j:configuration xmlns:log4j='http://jakarta.apache.org/log4j/'>
    <appender name="CONSOLE" class="org.apache.log4j.ConsoleAppender">
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value = "%d{HH:mm:ss,SSS} %-5p %m - [%t]%C%n"/>
                <!--value="%p - %C{1}.%M(%L) | %m%n"/>-->
        </layout>
    </appender>

    <!-- 定义按天输出文件 -->
    <appender name="DailyRolling" class="CoreFS.SD03.DayRollingFileAppender">
		<param name="append" value="true"/>			
		<param name="file" value="${catalina.home}/logs/CoreZg_Debug.log"/>
		<param name="maxBackupIndex" value="7"/>
		<layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern"
                value="%d %-5p - [%t]%C||%m%n"/> 
                <!--parm name="log4j.appender.file.MaxBackupIndex" value="2"/-->         
		</layout>
	</appender>
    <!-- 定义文件输入C:/tomcat5/logs/app_debug.log -->
    <appender name="FILEAPPENDER" class="org.apache.log4j.RollingFileAppender">
		<param name="append" value="true"/>		
		<param name="file" value="${catalina.home}/logs/CoreFSZg_Debug.log"/>
		<param name="maxFileSize" value="500MB"/>
		<param name="maxBackupIndex" value="100"/>
		<layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern"
                value="%d %-5p - [%t]%C||%m%n"/>          
		</layout>
	</appender>
	
	<!-- 定义数据库输入 jdbc appender -->
    <appender name="JDBCAPPENDER" class="org.apache.log4j.jdbc.JDBCAppender">
		<param name="URL" value="jdbc:oracle:thin:@10.6.18.13:1521:weight"/>		
		<param name="driver" value="oracle.jdbc.OracleDriver"/>
		<param name="user" value="xgdata"/>
		<param name="password" value="test"/>
		<param name="sql" value="insert  into WDZLOG values (SEQ_WDZLOG.nextval,?,?,?)"/>
		<!-- 布局 -->
		<layout class="org.apache.log4j.PatternLayout">
		    <!-- 格式 -->
            <param name="ConversionPattern"
                value="%d %-5p - [%t]%C||%m%n"/>
		</layout>
	</appender>  
	
    <logger name="org.apache">
        <level value="warn"/>
    </logger>

    <logger name="org.springframework">
        <level value="warn"/>
    </logger>
    
    <logger name="org.acegisecurity">
        <level value="warn"/>
    </logger>
    <!-- ********************************************************************************************************************************** -->
    <!-- 自定义业务类日志 -->
    <logger name="test.service.impl.TestLog">
        <level value="warn"/>
    </logger>
    <!-- ********************************************************************************************************************************** -->
    <root>
        <level value="warn"/>  <!-- 开发模式可试置为Info模式，布置后请使用warn模式，以减少日志打印量 -->
        <!-- 输出日志信息按天  -->
		  <appender-ref ref="DailyRolling"/>
        <!-- 输出日志信息到控制台  -->
		 <appender-ref ref="CONSOLE"/> 
		<!-- 输出日志信息到文件  -->
		<!--<appender-ref ref="FILEAPPENDER"/>   -->
		<!-- 输出日志信息到数据库  -->
		<!-- appender-ref ref="JDBCAPPENDER"/-->
    </root>
</log4j:configuration>